With this update, everything now works as expected.
authorEric Andersen <andersen@codepoet.org>
Fri, 26 Apr 2002 22:01:43 +0000 (22:01 -0000)
committerEric Andersen <andersen@codepoet.org>
Fri, 26 Apr 2002 22:01:43 +0000 (22:01 -0000)
 -Erik

17 files changed:
.cvsignore
sources/.cvsignore [new file with mode: 0644]
sources/busybox.patch
sources/device_table.txt
sources/skel.tar.gz
sources/target_skeleton/etc/fstab
sources/target_skeleton/etc/hostname [new file with mode: 0644]
sources/target_skeleton/etc/hosts [new file with mode: 0644]
sources/target_skeleton/etc/init.d/S01mount
sources/target_skeleton/etc/init.d/S20syslogd [new file with mode: 0755]
sources/target_skeleton/etc/init.d/S20urandom [new file with mode: 0755]
sources/target_skeleton/etc/init.d/S50networking
sources/target_skeleton/etc/inittab
sources/target_skeleton/etc/protocols
sources/target_skeleton/etc/random-seed [new file with mode: 0644]
sources/target_skeleton/etc/resolv.conf
sources/target_skeleton/etc/services

index 9171c49791e4b91db7ed0aea17e85de8ae7fdb8e..0b8f84f66cb69da52280604ff471e71f58b97db4 100644 (file)
@@ -1,2 +1,3 @@
 UMlinux
 root_fs
+build
diff --git a/sources/.cvsignore b/sources/.cvsignore
new file mode 100644 (file)
index 0000000..5c48862
--- /dev/null
@@ -0,0 +1 @@
+dl
index 2ad7bf018207b1aad51b77fb0242b2aabe41091e..66986bad50ee16b6fc5bade1f47bd8a5833610b7 100644 (file)
@@ -1,5 +1,5 @@
 --- busybox/Config.h   6 Apr 2002 04:22:15 -0000       1.116
-+++ busybox/Config.h   26 Apr 2002 10:54:28 -0000
++++ busybox/Config.h   26 Apr 2002 21:58:07 -0000
 @@ -18,9 +18,9 @@
  #define BB_CHROOT
  #define BB_CHVT
  //#define BB_DPKG
  //#define BB_DPKG_DEB
  //#define BB_DUTMP
-@@ -37,13 +37,13 @@
+@@ -37,7 +37,7 @@
  //#define BB_DUMPKMAP
  #define BB_ECHO
  #define BB_ENV
 -//#define BB_EXPR
--//#define BB_FBSET
 +#define BB_EXPR
-+#define BB_FBSET
+ //#define BB_FBSET
  //#define BB_FDFLUSH
  #define BB_FIND
- #define BB_FREE
--//#define BB_FREERAMDISK
--//#define BB_FSCK_MINIX
-+#define BB_FREERAMDISK
-+#define BB_FSCK_MINIX
- //#define BB_GETOPT
- #define BB_GREP
- #define BB_GUNZIP
 @@ -51,12 +51,12 @@
  #define BB_HALT
  #define BB_HEAD
@@ -55,7 +46,7 @@
  #define BB_KILL
  #define BB_KILLALL
  #define BB_KLOGD
-@@ -72,10 +72,10 @@
+@@ -72,7 +72,7 @@
  #define BB_LS
  #define BB_LSMOD
  //#define BB_MAKEDEVS
 +#define BB_MD5SUM
  #define BB_MKDIR
  //#define BB_MKFIFO
--//#define BB_MKFS_MINIX
-+#define BB_MKFS_MINIX
- #define BB_MKNOD
- #define BB_MKSWAP
- //#define BB_MKTEMP
-@@ -85,24 +85,24 @@
+ //#define BB_MKFS_MINIX
+@@ -85,58 +85,58 @@
  //#define BB_MSH
  //#define BB_MT
  #define BB_MV
  //#define BB_RPM2CPIO
  #define BB_SED
  //#define BB_SETKEYCODES
-@@ -114,29 +114,29 @@
+ #define BB_SLEEP
+ #define BB_SORT
+ //#define BB_STTY
+-#define BB_SWAPONOFF
++//#define BB_SWAPONOFF
+ #define BB_SYNC
  #define BB_SYSLOGD
  #define BB_TAIL
  #define BB_TAR
index f4a3e9b764a84701bd45da885b8bf301a8ff96df..a023e6f80c7fc22a5bb6d97d4f0ee3ea659266e1 100644 (file)
 #/dev/rtc      c       640     0       0       10      135     0       0       -
 #/dev/fd       b       640     0       0       2       0       0       0       1
 #
+# User-mode Linux stuff
+/dev/ubda      b       640     0       0       98      0       0       0       -
+/dev/ubda      b       640     0       0       98      1       1       1       15
+#
 # Raid device directories
 /dev/cciss     d       755     0       0       -       -       -       -       -
 /dev/ida       d       755     0       0       -       -       -       -       -
index b351737c87ed1d6b5b4fe1362b835f3a594b8fa6..a0c9d77ceccc1afa0479292f2e5ca52796dbe132 100644 (file)
Binary files a/sources/skel.tar.gz and b/sources/skel.tar.gz differ
index 2ca20a4926db5b52966d72093969f4008b2638df..525a95b1e09835038398b3c77e5bd845b9b789ba 100644 (file)
@@ -1,6 +1,6 @@
 # /etc/fstab: static file system information.
 #
-# <file system> <mount pt>     <type>  <options>          <dump> <pass>
-/dev/root       /              ext2    rw                0      1
+# <file system> <mount pt>     <type>  <options>         <dump> <pass>
+/dev/ubda       /              ext2    defaults,rw       0      1
 proc           /proc          proc     defaults          0      0
 tmpfs          /tmp           tmpfs    defaults          0      0
diff --git a/sources/target_skeleton/etc/hostname b/sources/target_skeleton/etc/hostname
new file mode 100644 (file)
index 0000000..46f514d
--- /dev/null
@@ -0,0 +1 @@
+dev.null
diff --git a/sources/target_skeleton/etc/hosts b/sources/target_skeleton/etc/hosts
new file mode 100644 (file)
index 0000000..ba712fe
--- /dev/null
@@ -0,0 +1 @@
+127.0.0.1      localhost
index 85d3ab5a65c352005aa88c6edd01489c1e3df16b..45d0e7bca8acfd49981a931b7caa48b8f9151b96 100755 (executable)
@@ -4,6 +4,7 @@
 # fsck, since we don't need it here...
 
 echo -n "Mounting local file systems: "
+/bin/mount / -o remount,rw > /dev/null 2>&1
 /bin/mount -a > /dev/null 2>&1
 if [ $? = 0 ] ; then
        echo "ok"
diff --git a/sources/target_skeleton/etc/init.d/S20syslogd b/sources/target_skeleton/etc/init.d/S20syslogd
new file mode 100755 (executable)
index 0000000..e3b0e7d
--- /dev/null
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+echo -n "Starting system log daemon: "
+# start syslogging
+/sbin/syslogd -m 0
+echo "ok"
diff --git a/sources/target_skeleton/etc/init.d/S20urandom b/sources/target_skeleton/etc/init.d/S20urandom
new file mode 100755 (executable)
index 0000000..433fafe
--- /dev/null
@@ -0,0 +1,44 @@
+#! /bin/sh
+#
+# urandom      This script saves the random seed between reboots.
+#              It is called from the boot, halt and reboot scripts.
+#
+# Version:     @(#)urandom  1.33  22-Jun-1998  miquels@cistron.nl
+#
+
+[ -c /dev/urandom ] || exit 0
+#. /etc/default/rcS
+
+case "$1" in
+       start|"")
+               if [ "$VERBOSE" != no ]
+               then
+                       echo -n "Initializing random number generator... "
+               fi
+               # Load and then save 512 bytes,
+               # which is the size of the entropy pool
+               if [ -f /etc/random-seed ]
+               then
+                       cat /etc/random-seed >/dev/urandom
+               fi
+               rm -f /etc/random-seed
+               umask 077
+               dd if=/dev/urandom of=/etc/random-seed count=1 \
+                       >/dev/null 2>&1 || echo "urandom start: failed."
+               umask 022
+               [ "$VERBOSE" != no ] && echo "done."
+               ;;
+       stop)
+               # Carry a random seed from shut-down to start-up;
+               # see documentation in linux/drivers/char/random.c
+               [ "$VERBOSE" != no ] && echo -n "Saving random seed... "
+               umask 077
+               dd if=/dev/urandom of=/etc/random-seed count=1 \
+                       >/dev/null 2>&1 || echo "urandom stop: failed."
+               [ "$VERBOSE" != no ] && echo "done."
+               ;;
+       *)
+               echo "Usage: urandom {start|stop}" >&2
+               exit 1
+               ;;
+esac
index 7104f3321678b1380adb614179114e2ad9a8795d..db60359f923b7d2160ebbb855919f5aad3b3480b 100755 (executable)
@@ -4,4 +4,4 @@
 ifconfig lo 127.0.0.1 up
 route add -net 127.0.0.0 netmask 255.0.0.0 lo
 
-hostname dev.null
+hostname -F /etc/hostname
index 2e91bd1e651af3ede9c06caad118477a1b29de1e..8575ced997ffa06115ff7a13797ec6b4dfb35564 100644 (file)
@@ -24,10 +24,9 @@ tty2::respawn:/sbin/getty 38400 tty2
 #ttyS0::respawn:/sbin/getty -L ttyS0 115200 vt100
 
 # Logging junk
-tty2::once:/bin/touch /var/log/messages
+tty3::once:/bin/touch /var/log/messages
 tty3::respawn:/usr/bin/tail -f /var/log/messages
-tty4::once:/bin/dmesg
-tty4::respawn:/usr/bin/tail -f /proc/kmsg
+::respawn:/sbin/klogd -n
 
 # Stuff to do for the 3-finger salute
 ::ctrlaltdel:/sbin/reboot
index b175544a4ff69167d043e8433bbe296a9a596e4b..e717657c59479c6fe4dc2c6150ef14aac731d045 100644 (file)
@@ -1,5 +1,5 @@
 # /etc/protocols:
-# $Id: protocols,v 1.2 2002/04/26 11:45:52 andersen Exp $
+# $Id: protocols,v 1.3 2002/04/26 22:01:41 andersen Exp $
 #
 # Internet (IP) protocols
 #
diff --git a/sources/target_skeleton/etc/random-seed b/sources/target_skeleton/etc/random-seed
new file mode 100644 (file)
index 0000000..f26038a
Binary files /dev/null and b/sources/target_skeleton/etc/random-seed differ
index 423dd57a427111ef3b82af90eecab6adccd3d1b6..71a86dd76c6b4a07b4a85e4b46b2206305fd0819 100644 (file)
@@ -1,2 +1,2 @@
 domain dev.null
-nameserver 10.0.0.1
+nameserver 127.0.0.1
index 49d6e4c7ccf3d545319fbbecae9ba5cb52de37e2..9462af38c275434f4fbba5ad8bd127b18817395b 100644 (file)
@@ -1,5 +1,5 @@
 # /etc/services:
-# $Id: services,v 1.2 2002/04/26 11:45:52 andersen Exp $
+# $Id: services,v 1.3 2002/04/26 22:01:41 andersen Exp $
 #
 # Network services, Internet style
 #